Tutorial Class/Enum List File List Compound Members

# RtMidi.h File Reference

`#include "RtError.h"`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | RtMidi
| An abstract base class for realtime MIDI input/output. More...
class | RtMidiIn
| A realtime MIDI input class. More...
class | RtMidiOut
| A realtime MIDI output class. More...
class | MidiInApi
struct | MidiInApi::MidiMessage
struct | MidiInApi::MidiQueue
struct | MidiInApi::RtMidiInData
class | MidiOutApi
class | MidiInCore
class | MidiOutCore
class | MidiInJack
class | MidiOutJack
class | MidiInAlsa
class | MidiOutAlsa
class | MidiInWinMM
class | MidiOutWinMM
class | MidiInWinKS
class | MidiOutWinKS

## Detailed Description

| ©2003-2012 Gary P. Scavone, McGill University. All Rights Reserved. Maintained by Gary P. Scavone, gary at music.mcgill.ca